Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.server.security
Class JboPolicyManager

`java.lang.Object
oracle.jbo.server.security.JboPolicyManager`

public class JboPolicyManager
extends java.lang.Object

Constructor Summary
`JboPolicyManager(JboJAASPolicyManager pm)`

Method Summary
`void` | `addToRole(java.lang.String role, java.lang.String eoname, byte perm)`
`void` | `addToRole(java.lang.String role, java.lang.String eoname, byte[] perms)`
`byte[]` | `getEntityAttributesPermission(java.lang.String principal, java.lang.String eoname)`
`byte[]` | `getEntityAttributesPermission(java.lang.String principal, java.lang.String eoname, java.lang.String[] attrs)`
`byte` | `getEntityPermission(java.lang.String principal, java.lang.String eoname)`
`byte` | `getPermissionByRole(java.lang.String role, java.lang.String eoname)`
`byte[]` | `getPermissionByRole(java.lang.String role, java.lang.String eoname, java.lang.String[] attrs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboPolicyManager

    public JboPolicyManager(JboJAASPolicyManager pm)

Method Detail

### addToRole

    public void addToRole(java.lang.String role,
                          java.lang.String eoname,
                          byte perm)

### addToRole

    public void addToRole(java.lang.String role,
                          java.lang.String eoname,
                          byte[] perms)

### getPermissionByRole

    public byte getPermissionByRole(java.lang.String role,
                                    java.lang.String eoname)

### getEntityPermission

    public byte getEntityPermission(java.lang.String principal,
                                    java.lang.String eoname)

### getPermissionByRole

    public byte[] getPermissionByRole(java.lang.String role,
                                      java.lang.String eoname,
                                      java.lang.String[] attrs)

### getEntityAttributesPermission

    public byte[] getEntityAttributesPermission(java.lang.String principal,
                                                java.lang.String eoname,
                                                java.lang.String[] attrs)

### getEntityAttributesPermission

    public byte[] getEntityAttributesPermission(java.lang.String principal,
                                                java.lang.String eoname)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.